Update OAuth client
curl --request PATCH \
--url https://api.sapt.ai/oauth-clients/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"redirectURLs": [
"<string>"
],
"disabled": true,
"description": "<string>",
"homepageUrl": "<string>",
"icon": "<string>"
}
'import requests
url = "https://api.sapt.ai/oauth-clients/{clientId}"
payload = {
"name": "<string>",
"redirectURLs": ["<string>"],
"disabled": True,
"description": "<string>",
"homepageUrl": "<string>",
"icon": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
redirectURLs: ['<string>'],
disabled: true,
description: '<string>',
homepageUrl: '<string>',
icon: '<string>'
})
};
fetch('https://api.sapt.ai/oauth-clients/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "<string>",
"name": "<string>",
"type": "<string>",
"redirectURLs": [
"<string>"
],
"disabled": true,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"kind": "<string>",
"icon": "<string>",
"description": "<string>",
"homepageUrl": "<string>",
"metadata": "<string>",
"defaultMemberRoleIds": [
"<string>"
],
"allowedScopes": [
"<string>"
],
"authenticationScheme": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}OAuth Clients
Update OAuth client
Update a developer OAuth client owned by the caller. Pass null for description, homepageUrl, or icon to clear them.
PATCH
/
oauth-clients
/
{clientId}
Update OAuth client
Authorizations
JWT token obtained from /api/auth/token endpoint. Token is verified using JWKS and must include a valid user identifier.
Path Parameters
Body
application/json
Response
Success